Bug 178181 - FC5t2: non-cardbus pcmcia not working
FC5t2: non-cardbus pcmcia not working
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 06:09 EST by Simon
Modified: 2015-01-04 17:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fedora 4 - ifcfg output (394 bytes, text/plain)
2006-01-19 08:38 EST, Simon
no flags Details
Fedora 4 - ifconfig -a - output (1.44 KB, text/plain)
2006-01-19 08:39 EST, Simon
no flags Details
Fedora 4 - kudzu (220 bytes, text/plain)
2006-01-19 08:39 EST, Simon
no flags Details
Fedora 4 - messages (22.11 KB, text/plain)
2006-01-19 08:40 EST, Simon
no flags Details
Fedora 5t2 - ifcfg output (506 bytes, text/plain)
2006-01-19 08:41 EST, Simon
no flags Details
Fedora 5t2 - ifconfig -a output (1.00 KB, text/plain)
2006-01-19 08:41 EST, Simon
no flags Details
Fedora 5t2 - messages (297.22 KB, text/plain)
2006-01-19 08:42 EST, Simon
no flags Details
Fedora 5t2 - Snapshot (267.00 KB, image/x-png)
2006-01-19 08:43 EST, Simon
no flags Details

  None (edit)
Description Simon 2006-01-18 06:09:27 EST
+++ This bug was initially created as a clone of Bug #128085 +++

-- Additional comment from justanotheradress@gmail.com on 2006-01-18 05:47 
EST --
Hi!

FC3 and FC4 sees my 3c589 card, but FC5t2 don't. Always the same error 
message: "seems to be missing".
Comment 1 Bill Nottingham 2006-01-18 11:12:38 EST
Where do you get that error - installer? Post-boot? (If so, at what point?) Note
that pcmcia-cs isn't even included any more.
Comment 2 Simon 2006-01-18 12:22:34 EST
Sorry, I'm a Linux-Newbie and don't know the modules by name...

It's in the Network-Module, where you can configure the Network-Card, DHCP, DNS,
Host etc. The Network-Card will not recognized and if I add the Network-Card
manually and activate the card after that I get this message:

"..device eth0 does not seem to be present, delaying inistialization.."

What should/could I do? (And which module by name is it?) I've rebooted several
times and tried several configs (with DHCP/whithout, with other driver). The
strange thing is, with Fedora 4 all things run just fine (and Ubuntu, and Knoppix).

Thanks for any help!
Comment 3 Pete Zaitcev 2006-01-18 12:54:22 EST
So far, not a lot of material to go on. This may be a case of needing to run
pcmcia-socket-startup, like on Sony Vaio z505, but there's no telling.

I suppose that getting two dmesgs and two /var/log/messages, one from a working
and non-working system each, would be the right first step. But please do not
tar them together and do not drop into the comments box.
Comment 4 Bill Nottingham 2006-01-18 12:58:39 EST
Also, once the card is inserted, the output of:

a) kudzu -p -b pcmcia
b) ifconfig -a
c) cat /etc/sysconfig/network-scripts/ifcfg-*

may be useful.
Comment 5 Simon 2006-01-19 08:38:40 EST
Created attachment 123428 [details]
Fedora 4 - ifcfg output
Comment 6 Simon 2006-01-19 08:39:32 EST
Created attachment 123429 [details]
Fedora 4 - ifconfig -a - output
Comment 7 Simon 2006-01-19 08:39:59 EST
Created attachment 123430 [details]
Fedora 4 - kudzu
Comment 8 Simon 2006-01-19 08:40:29 EST
Created attachment 123431 [details]
Fedora 4 - messages
Comment 9 Simon 2006-01-19 08:41:02 EST
Created attachment 123432 [details]
Fedora 5t2 - ifcfg output
Comment 10 Simon 2006-01-19 08:41:41 EST
Created attachment 123433 [details]
Fedora 5t2 - ifconfig -a output
Comment 11 Simon 2006-01-19 08:42:14 EST
Created attachment 123434 [details]
Fedora 5t2 - messages
Comment 12 Simon 2006-01-19 08:43:26 EST
Created attachment 123435 [details]
Fedora 5t2 - Snapshot 

I could not do a "kudzu" in the terminal because I can't activate the
network-card...please see the pic.
Comment 13 Simon 2006-01-19 08:47:22 EST
I did (again) a complete fresh installation of Fedora 4 and Fedora 5t2. The 
floppy was not automatically integrated into the fstab...grrr..whitout network 
a real challenge...^^

Conclusion: Fedora 4 did the job whitout any troubles, Fedora 5t2 did not...
Comment 14 Simon 2006-01-19 08:53:19 EST
Comment on attachment 123434 [details]
Fedora 5t2 - messages

The "Jan 19 01:47:52 localhost kernel: ide: failed opcode was: unknown
Jan 19 01:47:52 localhost kernel: hdc: status error: status=0x02 { Index }"
stuff exists, because I removed the CD-Rom during the boot-time...obvously no a
good idea...but this has nothing to do with the network card (I did several
reboots later and before) ^^
Comment 15 Bill Nottingham 2006-01-19 12:19:26 EST
(In reply to comment #12)
> Created an attachment (id=123435) [edit]
> Fedora 5t2 - Snapshot 
> 
> I could not do a "kudzu" in the terminal because I can't activate the
> network-card...please see the pic. 


This doesn't make sense... you can run kudzu regardless of that error.
Comment 16 Bill Nottingham 2006-01-19 12:22:34 EST
Oh, fun, you have an ISA socket, not a cardbus socket?

What happens if you manually (as root) run 'modprobe i82365'?
Comment 17 Bill Nottingham 2006-01-19 12:25:42 EST
Never mind, the i82365 driver isn't built any more, which is likely the problem.

Bouncing to the kernel.
Comment 18 Simon 2006-01-19 12:41:02 EST
(In reply to comment #15)
> (In reply to comment #12)
> > Created an attachment (id=123435) [edit] [edit]
> > Fedora 5t2 - Snapshot 
> > 
> > I could not do a "kudzu" in the terminal because I can't activate the
> > network-card...please see the pic. 
> 
> 
> This doesn't make sense... you can run kudzu regardless of that error.


Yeah, but whitout any output...hmmm
Comment 19 Simon 2006-01-19 12:43:14 EST
(In reply to comment #17)
> Never mind, the i82365 driver isn't built any more, which is likely the problem.
> 
> Bouncing to the kernel.

What does that mean? (sorry I'm a Linux newbie and a non native english-speaker *g*)
Comment 20 Bill Nottingham 2006-01-19 12:46:17 EST
The driver for your PCMCIA controller isn't built in the FC5 test2 kernel.
Without that, it doesn't notice that *any* cards are there, much less load the
proper driver for the 3c589.
Comment 21 Simon 2006-01-19 14:06:53 EST
This means that the driver will be implemented in the final version? 

Hmmm...that's a general thing which I don't understand. Why are the driver built
into the kernel? With proper layer separation wouldn't we have much less
problems? I mean every distribution starts from scratch and every sub-community
think that they know it better than the other one...that's slows the hole
community IMHO. Or is it implemented into the kernel because the kernel himself
(and the interfaces) is just to "dynamic"?

Thank you very much for you patience and help!
Comment 22 Dave Jones 2006-10-16 15:36:44 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 23 Thomas Dodd 2007-05-18 18:47:18 EDT
Similar problem with FC6. I have'nt got the kernel updates for it yet, but the
installer is missing the i82365 module.

This is what anaconda installed:
#uname -a
Linux tedpc 2.6.18-1.2798.fc6xen #1 SMP Mon Oct 16 15:11:19 EDT 2006 i686 athlon
i386 GNU/Linux


I just installed the non-Xen kernel, and it not there either. nev installed the
source trees, and checked the config files, and 
# CONFIG_I82365 is not set
# CONFIG_TCIC is not set

Before I build a custom kernel, why would the isa drivers not be built?
Comment 24 Jon Stanley 2008-01-19 23:41:30 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.